<?php

add_action( 'wp_head', 'rion_preloader_css' );
if ( ! function_exists( 'rion_preloader_css' ) ) {
	function rion_preloader_css() {
		/* Main color */
		$main_color      = rion_get_option( 'rion_main_color', '#ff4040' );
		$body_text_color = trim( rion_get_option( 'rion_body_text_color', '' ) );
		$css             = '';

		// Preloader CSS
		$enable_preloader = rion_get_option( 'enable_preloader', false );
		if ( $enable_preloader ) {
			$preloader_style = rion_get_option( 'preloader_style', 'default' );
			if ( $preloader_style == 'default' ) {
				$css = '.rion-default-preloader {
						position: fixed;
						background-color: #fff;
						top: 0;
						left: 0;
						right: 0;
						bottom: 0;
						z-index: 9999999;
					}
					.rion-default-preloader .rion-loader-inner {
					    position: absolute;
					    z-index: 1;
					    top: 50%;
					    left: 50%;
					    transform: translateX(-50%) translateY(-50%);
					}
					@keyframes lds-ellipsis3 {
					  0%, 25% {
					    left: 32px;
					    -webkit-transform: scale(0);
					    transform: scale(0);
					  }
					  50% {
					    left: 32px;
					    -webkit-transform: scale(1);
					    transform: scale(1);
					  }
					  75% {
					    left: 100px;
					  }
					  100% {
					    left: 168px;
					    -webkit-transform: scale(1);
					    transform: scale(1);
					  }
					}
					@-webkit-keyframes lds-ellipsis3 {
					  0%, 25% {
					    left: 32px;
					    -webkit-transform: scale(0);
					    transform: scale(0);
					  }
					  50% {
					    left: 32px;
					    -webkit-transform: scale(1);
					    transform: scale(1);
					  }
					  75% {
					    left: 100px;
					  }
					  100% {
					    left: 168px;
					    -webkit-transform: scale(1);
					    transform: scale(1);
					  }
					}
					@keyframes lds-ellipsis2 {
					  0% {
					    -webkit-transform: scale(1);
					    transform: scale(1);
					  }
					  25%, 100% {
					    -webkit-transform: scale(0);
					    transform: scale(0);
					  }
					}
					@-webkit-keyframes lds-ellipsis2 {
					  0% {
					    -webkit-transform: scale(1);
					    transform: scale(1);
					  }
					  25%, 100% {
					    -webkit-transform: scale(0);
					    transform: scale(0);
					  }
					}
					@keyframes lds-ellipsis {
					  0% {
					    left: 32px;
					    -webkit-transform: scale(0);
					    transform: scale(0);
					  }
					  25% {
					    left: 32px;
					    -webkit-transform: scale(1);
					    transform: scale(1);
					  }
					  50% {
					    left: 100px;
					  }
					  75% {
					    left: 168px;
					    -webkit-transform: scale(1);
					    transform: scale(1);
					  }
					  100% {
					    left: 168px;
					    -webkit-transform: scale(0);
					    transform: scale(0);
					  }
					}
					@-webkit-keyframes lds-ellipsis {
					  0% {
					    left: 32px;
					    -webkit-transform: scale(0);
					    transform: scale(0);
					  }
					  25% {
					    left: 32px;
					    -webkit-transform: scale(1);
					    transform: scale(1);
					  }
					  50% {
					    left: 100px;
					  }
					  75% {
					    left: 168px;
					    -webkit-transform: scale(1);
					    transform: scale(1);
					  }
					  100% {
					    left: 168px;
					    -webkit-transform: scale(0);
					    transform: scale(0);
					  }
					}
					.lds-ellipsis {
					  position: relative;
					}
					.lds-ellipsis > div {
					  position: absolute;
					  -webkit-transform: translate(-50%, -50%);
					  transform: translate(-50%, -50%);
					  width: 40px;
					  height: 40px;
					}
					.lds-ellipsis div > div {
					  width: 40px;
					  height: 40px;
					  border-radius: 50%;
					  background: #f00;
					  position: absolute;
					  top: 100px;
					  left: 32px;
					  -webkit-animation: lds-ellipsis 2s cubic-bezier(0, 0.5, 0.5, 1) infinite forwards;
					  animation: lds-ellipsis 2s cubic-bezier(0, 0.5, 0.5, 1) infinite forwards;
					}
					.lds-ellipsis div:nth-child(1) div {
					  -webkit-animation: lds-ellipsis2 2s cubic-bezier(0, 0.5, 0.5, 1) infinite forwards;
					  animation: lds-ellipsis2 2s cubic-bezier(0, 0.5, 0.5, 1) infinite forwards;
					  background: #ce64a6;
					}
					.lds-ellipsis div:nth-child(2) div {
					  -webkit-animation-delay: -1s;
					  animation-delay: -1s;
					  background: #bda0b2;
					}
					.lds-ellipsis div:nth-child(3) div {
					  -webkit-animation-delay: -0.5s;
					  animation-delay: -0.5s;
					  background: #45aee7;
					}
					.lds-ellipsis div:nth-child(4) div {
					  -webkit-animation-delay: 0s;
					  animation-delay: 0s;
					  background: #0055a5;
					}
					.lds-ellipsis div:nth-child(5) div {
					  -webkit-animation: lds-ellipsis3 2s cubic-bezier(0, 0.5, 0.5, 1) infinite forwards;
					  animation: lds-ellipsis3 2s cubic-bezier(0, 0.5, 0.5, 1) infinite forwards;
					  background: #ce64a6;
					}
					.lds-ellipsis {
					  width: 85px !important;
					  height: 85px !important;
					  -webkit-transform: translate(-42.5px, -42.5px) scale(0.425) translate(42.5px, 42.5px);
					  transform: translate(-42.5px, -42.5px) scale(0.425) translate(42.5px, 42.5px);
					}';
			}
			
			if ( $preloader_style == 'block_rotate' ) {
				$css = '.rion-preloader,
						.finger-loading .last-finger-loader-item i::after {
							background-color: ' . esc_attr( $main_color ) . ';
						}
						span.rion-preloader-text {
							font-size: 13px;
							color: #ffffff;
							display: block;
						}
						.rion-preloader {
						  bottom: 0;
						  left: 0;
						  position: fixed;
						  right: 0;
						  top: 0;
						  z-index: 9999;
						  text-align: center;
						}
						.rion-preloader-inner {
							height: 100%;
						}
						.rion-preloader .item-inner {
						  align-items: center;
						  display: flex;
						  height: 100%;
						  justify-content: center;
						  position: relative;
						  width: 100%;
						}
						.rion-preloader-block {
						  width: 100%;
						}
						.square-loader,
						.circle-loader {
						  position: relative;
						  width: 200px;
						  height: 200px;
						}
						.wrapper-square {
						  width: 50px;
						  height: 50px;
						  background-color: rgba(255,255,255,0);
						  margin-right: auto;
						  margin-left: auto;
						  border: 2px solid #fff;
						  left: 73px;
						  top: 73px;
						  position: absolute;
						}
				
						.square-loader {
						  transform: rotate(45deg);
						}
				
						.first_square {
						  animation: first_square_animate 1s infinite ease-in-out;
						}
						.second_square {
						  animation: second_square 1s forwards,
						             second_square_animate 1s infinite ease-in-out;
						}
						.third_square {
						  animation: third_square 1s forwards,
						             third_square_animate 1s infinite ease-in-out;
						}
						
						@keyframes second_square {
						  100% { width: 100px; height:100px; left: 48px; top: 48px; }
						}
				
						@keyframes third_square {
						  100% { width: 150px; height:150px; left: 23px; top: 23px;}
						}
				
						@keyframes first_square_animate {
						  0%   { transform: perspective(100px) rotateX(0deg) rotateY(0deg);}
						  50%  { transform: perspective(100px) rotateX(-180deg) rotateY(0deg); }
						  100% { transform: perspective(100px) rotateX(-180deg) rotateY(-180deg); }
						}
				
						@keyframes second_square_animate {
						  0%   { transform: perspective(200px) rotateX(0deg) rotateY(0deg); }
						  50%  { transform: perspective(200px) rotateX(180deg) rotateY(0deg); }
						  100% { transform: perspective(200px) rotateX(180deg) rotateY(180deg); }
						}
				
						@keyframes third_square_animate {
						  0%   { transform: perspective(300px) rotateX(0deg) rotateY(0deg); }
						  50%  { transform: perspective(300px) rotateX(-180deg) rotateY(0deg); }
						  100% { transform: perspective(300px) rotateX(-180deg) rotateY(-180deg); }
						}
						.third-wrapper .square-loader {
						  -webkit-transform: rotate(0);
						  transform: rotate(0);
						}';
			}

			if ( $preloader_style == 'segment_blocks' ) {
				$css = '.rion-preloader,
						.finger-loading .last-finger-loader-item i::after {
							background-color: #322b3b;
						}
						span.rion-preloader-text {
							font-size: 13px;
							color: #ffffff;
							display: block;
						}
						.rion-preloader {
						  bottom: 0;
						  left: 0;
						  position: fixed;
						  right: 0;
						  top: 0;
						  z-index: 9999;
						  text-align: center;
						}
						.rion-preloader-inner {
							height: 100%;
						}
						.rion-preloader .item-inner {
						  align-items: center;
						  display: flex;
						  height: 100%;
						  justify-content: center;
						  position: relative;
						  width: 100%;
						}
						.rion-preloader-block {
						  width: 100%;
						}
						
						.rion-segment-loader {
						  height: 120px;
						  width: 120px;
						  margin: 0 auto;
						  transform: rotate(-45deg);
						  font-size: 0;
						  line-height: 0;
						  animation: rotate-loader 5s infinite;
						  padding: 25px;
						  border: 1px solid ' . esc_attr( $main_color ) . ';
						}
						.rion-segment-loader-holder {
						  position: relative;
						  display: inline-block;
						  width: 50%;
						  height: 50%;
						}
				
						.rion-segment {
						  position: absolute;
						  background: ' . esc_attr( $main_color ) . ';
						}
				
						.rion-segment-one {
						  bottom: 0;
						  height: 0;
						  width: 100%;
						  animation: slide-one 1s infinite;
						}
				
						.rion-segment-two {
						  left: 0;
						  height: 100%;
						  width: 0;
						  animation: slide-two 1s infinite;
						  animation-delay: 0.25s;
						}
				
						.rion-segment-three {
						  right: 0;
						  height: 100%;
						  width: 0;
						  animation: slide-two 1s infinite;
						  animation-delay: 0.75s;
						}
				
						.rion-segment-four {
						  top: 0;
						  height: 0;
						  width: 100%;
						  animation: slide-one 1s infinite;
						  animation-delay: 0.5s;
						}
						.rion-segment-loader-block span.rion-preloader-text {
						  margin-top: 45px;
						}
				
						@keyframes slide-one {
						  0%    { height: 0;    opacity: 1; }
						  12.5% { height: 100%; opacity: 1; }
						  50%   { opacity: 1; }
						  100%  { height: 100%; opacity: 0;}
						}
				
						@keyframes slide-two {
						  0%    { width: 0;    opacity: 1; }
						  12.5% { width: 100%; opacity: 1; }
						  50%   { opacity: 1; }
						  100%  { width: 100%; opacity: 0;}
						}
				
						@keyframes rotate-loader {
						  0%   { transform: rotate(-45deg); }
						  20%  { transform: rotate(-45deg); }
						  25%  { transform: rotate(-135deg); }
						  45%  { transform: rotate(-135deg); }
						  50%  { transform: rotate(-225deg); }
						  70%  { transform: rotate(-225deg); }
						  75%  { transform: rotate(-315deg); }
						  95%  { transform: rotate(-315deg); }
						  100% { transform: rotate(-405deg); }
						}';
			}

			if ( $preloader_style == 'text_fill' ) {
				$css = '.rion-preloader-section {
							position: fixed;
						    top: 0;
						    left: 0;
						    right: 0;
						    bottom: 0;
						    background-color: ' . esc_attr( $main_color ) . ';
						    z-index: 99999999;
						    overflow: hidden;
						}
						.rion-preloader {
							font-size: 50%;
						    margin: 0 auto;
						    text-align: center;
						    width: 100%;
						}
						.rion-preloader-text-loader {
							display: table;
						    height: 100%;
						    left: 0;
						    margin: 0;
						    padding: 0;
						    position: absolute;
						    top: 0;
						    width: 100%;
						}
						.rion-frame {
						    display: table-cell;
						    margin: 0;
						    padding: 0;
						    vertical-align: middle;
						}
						#rion-preloader-text {
							  display: inline-block;
							  margin: auto;
							  position: relative;
							  text-align: center;
							  width: auto;
							}
							#rion-preloader-text span {
							  color: rgba(0, 0, 0, 0.1);
							  display: inline-block;
							  font-size: 5.75em;
							  letter-spacing: 0;
							  line-height: 1;
							  overflow: hidden;
							  position: relative;
							  text-transform: none;
							}
							#rion-preloader-text span.rion-preloader-text-2 {
							  color: #000;
							  display: block;
							  left: 0;
							  position: absolute;
							  top: 0;
							  width: 0%;
							}
							.wppu-fill-loader-thumb {
							  width: 100px;
							  position: relative;
							}
							.wppu-fill-loader-thumb img {
							  display: block;
							  height: auto;
							  opacity: 0.3;
							  position: relative;
							  width: 100%;
							  z-index: 1;
							}
					
							.wppu-fill-thumbnail-fill {
							  background-position: center bottom;
							  background-repeat: no-repeat;
							  background-size: cover;
							  bottom: 0;
							  display: block;
							  height: 0;
							  left: 0;
							  position: absolute;
							  transition: all 0s ease 0s;
							  width: 100%;
							  z-index: 3;
							}
							#run_animation_fill {
							  background-color: #000;
							  color: #fff;
							  cursor: pointer;
							  line-height: 1em;
							  padding: 6px 10px 8px;
							  position: absolute;
							  right: 0;
							  top: 0;
							  z-index: 991;
							}
							.rion-preloader-progress-bar {
							  height: 2px;
							  left: 0;
							  position: absolute;
							  top: 0;
							  display: none;
							  width: 0%;
							  z-index: 140;
							  background-color: #ed4e6e;
							}
							.rion-progress-pos-top.rion-preloader-progress-bar {
							  display: block;
							  top: 0;
							  left: 0;
							}
							.wppu_fill_progress_pos-bottom.rion-preloader-progress-bar {
							  display: block;
							  top: inherit;
							  bottom: 0;
							  left: 0;
							}
							.rion-preloader-counter {
							  line-height: 1;
							  margin-top: 20px;
							}
							#wppu-fill-loader-thunb {
							  width: 100px;
							  position: relative;
							  margin: auto;
							}
							#wppu-fill-loader-thunb img {
							  display: block;
							  height: auto;
							  opacity: 0.3;
							  position: relative;
							  width: 100%;
							  z-index: 1;
							}
							.wppu-fill-thumbnail-fill {
							  background-position: center bottom;
							  background-repeat: no-repeat;
							  background-size: cover;
							  bottom: 0;
							  display: block;
							  height: 0;
							  left: 0;
							  position: absolute;
							  transition: all 0s ease 0s;
							  width: 100%;
							  z-index: 3;
							}
					
							.rion-preloader-section-loaded .rion-preloader-progress-bar,
							.rion-preloader-section-loaded span.rion-preloader-text-2 {
							    transition: width 0.5s ease 0s;
							    -webkit-transition: width 0.5s ease 0s;
							    -moz-transition: width 0.5s ease 0s;
							    -o-transition: width 0.5s ease 0s;
							    -ms-transition: width 0.5s ease 0s;
							    width: 100% !important;
							}
							.rion-preloader-section-loaded .wppu-fill-thumbnail-fill {
								transition: height 0.5s ease 0s;
							    -webkit-transition: height 0.5s ease 0s;
							    -moz-transition: height 0.5s ease 0s;
							    -o-transition: height 0.5s ease 0s;
							    -ms-transition: height 0.5s ease 0s;
							    height: 100% !important;
							}';
			}

			if ( $css != '' ) {
				echo "<style type='text/css' class='rion-preloader-css'>{$css}</style>";
			}
		}
	}
}


if ( ! function_exists( 'rion_custom_css' ) ) {
	function rion_custom_css() {
		$css = '';
		$css .= rion_theme_color();
		$css .= rion_vc_custom_css_footer();
		wp_enqueue_style( 'rion_custom_css', get_theme_file_uri( '/assets/css/customs.css' ), array(), '1.0' );
		wp_add_inline_style( 'rion_custom_css', $css );

		$enable_preloader = rion_get_option( 'enable_preloader', false );
		$preloader_style  = rion_get_option( 'preloader_style', 'block_rotate' );
		if ( $enable_preloader ) {
			$js_script = '';

			// Inline script
			// Inline script
			if ( $preloader_style == 'default' ) {
				$js_script = 'jQuery( function( $ ) {
									window.onbeforeunload = function (e) {
									  $(".rion-default-preloader").fadeIn(400);
									};
									$( window ).load(function() {
										$(".rion-default-preloader").delay(500).fadeOut(600);
									});
								});';
			}
			
			if ( $preloader_style == 'block_rotate' || $preloader_style == 'segment_blocks' ) {
				$js_script = 'jQuery( function( $ ) {
									window.onbeforeunload = function (e) {
									  $(".rion-preloader").fadeIn(400);
									};
									$( window ).load(function() {
										$(".rion-preloader").delay(500).fadeOut(600);
									});
								});';
			}
			if ( $preloader_style == 'text_fill' ) {
				$js_script = 'jQuery( function( $ ) {
							var counter_duration = 1200;
							$( ".rion-preloader-progress-bar" ).animate({ width: "100%"}, {
								duration: counter_duration,
								complete: function(){
									$(".rion-preloader-section").addClass("rion-loading");
								}
							});
							$(\'.rion-preloader-counter span\').each(function () {
							var $this = $(this);
							$({ Counter: 0 }).animate({ Counter: 100 }, {
							    duration: counter_duration,
							    easing: \'swing\',
							    step: function () {
							      $this.text(Math.ceil(this.Counter));
							    },
								complete: function() {
								  $(\'.rion-preloader-counter span\').text(this.Counter);
								}
							  });
							});
							
							window.onbeforeunload = function (e) {
							  $(".rion-preloader-section").removeClass("rion-preloader-section-loaded rion-loading").fadeIn(400);
							  $(".rion-preloader-section .rion-preloader").css({display: "block"});
							  $(".rion-preloader-counter span").text("0");
							};
							
							$(window).load(function() {
								if ($(".rion-preloader-section").hasClass("rion-loading") ) {
								    $(".rion-preloader-section").removeClass("rion-loading").addClass("rion-preloader-section-loaded").delay(500).fadeOut(600);
								    $({countNum: $(\'.rion-preloader-counter span\').text()}).animate({countNum: 100}, {
									  duration: 500,
									  easing:\'linear\',
									  step: function() {
									    $(\'.rion-preloader-counter span\').text(Math.floor(this.countNum));
									  },
									  complete: function() {
									    $(\'.rion-preloader-counter span\').text(this.countNum);
									  }
									});
								} else {
								    $(".rion-preloader-section").addClass("rion-preloader-section-loaded");
								    $(".rion-preloader-section").delay(900+500).fadeOut(600);
									
									$({countNum: $(\'.rion-preloader-counter span\').text()}).animate({countNum: 100}, {
									  duration: 850+500,
									  easing:\'linear\',
									  step: function() {
									    $(\'.rion-preloader-counter span\').text(Math.floor(this.countNum));
									  },
									  complete: function() {
									    $(\'.rion-preloader-counter span\').text(this.countNum);
									  }
									});
								}
							});
							
						});';
			}

			if ( $js_script != '' ) {
				wp_add_inline_script( 'rion-frontend', $js_script );
			}
		}
		
	}
}
add_action( 'wp_enqueue_scripts', 'rion_custom_css', 999 );

if ( ! function_exists( 'rion_theme_color' ) ) {
	function rion_theme_color() {
		$css = '';
		
		// Typography
		$enable_google_font = rion_get_option( 'enable_google_font', false );
		if ( $enable_google_font ) {
			$body_font = rion_get_option( 'typography_themes' );
			if ( ! empty( $body_font ) ) {
				$typography_themes['family']  = 'Open Sans';
				$typography_themes['variant'] = '400';
				$body_fontsize        = rion_get_option( 'fontsize-body', '15' );
				
				$css .= 'body{';
				$css .= 'font-family: "' . $body_font['family'] . '";';
				if ( '100italic' == $body_font['variant'] ) {
					$css .= '
					font-weight: 100;
					font-style: italic;
				';
				} elseif ( '300italic' == $body_font['variant'] ) {
					$css .= '
					font-weight: 300;
					font-style: italic;
				';
				} elseif ( '400italic' == $body_font['variant'] ) {
					$css .= '
					font-weight: 400;
					font-style: italic;
				';
				} elseif ( '700italic' == $body_font['variant'] ) {
					$css .= '
					font-weight: 700;
					font-style: italic;
				';
				} elseif ( '800italic' == $body_font['variant'] ) {
					$css .= '
					font-weight: 700;
					font-style: italic;
				';
				} elseif ( '900italic' == $body_font['variant'] ) {
					$css .= '
					font-weight: 900;
					font-style: italic;
				';
				} elseif ( 'regular' == $body_font['variant'] ) {
					$css .= 'font-weight: 400;';
				} elseif ( 'italic' == $body_font['variant'] ) {
					$css .= 'font-style: italic;';
				} else {
					$css .= 'font-weight:' . $body_font['variant'] . ';';
				}
				// Body font size
				if ( $body_fontsize ) {
					$css .= 'font-size:' . esc_attr( $body_fontsize ) . 'px;';
				}
				$css .= '}';
				$css .= 'body
				{
					font-family: "' . $body_font['family'] . '";
				}
			
				';
			}
		}
		
		/* Main color */
		$main_color      = rion_get_option( 'rion_main_color', '#3f5ae5' );
		$body_text_color = trim( rion_get_option( 'rion_body_text_color', '' ) );
		$css .= '
				.post-password-form input[type="submit"]:hover {
					background-color: ' . esc_attr( $main_color ) . ';
				}
		';
		
		if ( $body_text_color && $body_text_color != '' ) {
			$css .= 'body {color: ' . esc_attr( $body_text_color ) . '}';
		}
		
		return $css;
	}
}

if ( ! function_exists( 'rion_vc_custom_css_footer' ) ) {
	function rion_vc_custom_css_footer() {
		
		$rion_footer_options = rion_get_option( 'rion_footer_options', '' );
		$page_id              = rion_get_single_page_id();
		
		$data_option_meta = get_post_meta( $page_id, '_custom_metabox_theme_options', true );
		if ( $page_id > 0 ) {
			$enable_custom_footer = false;
			if ( isset( $data_option_meta['enable_custom_footer'] ) ) {
				$enable_custom_footer = $data_option_meta['enable_custom_footer'];
			}
			if ( $enable_custom_footer ) {
				$rion_footer_options = $data_option_meta['rion_metabox_footer_options'];
			}
		}
		
		$shortcodes_custom_css = get_post_meta( $rion_footer_options, '_wpb_post_custom_css', true );
		$shortcodes_custom_css .= get_post_meta( $rion_footer_options, '_wpb_shortcodes_custom_css', true );
		$shortcodes_custom_css .= get_post_meta( $rion_footer_options, '_rion_shortcode_custom_css', true );
		$shortcodes_custom_css .= get_post_meta( $rion_footer_options, '_responsive_js_composer_shortcode_custom_css', true );
		
		return $shortcodes_custom_css;
	}
}