<?php
if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly
}
$animation_on_scroll = rion_get_option( 'animation_on_scroll', false );
$classes[]           = 'post-item post-standard';
if ( $animation_on_scroll ) {
	$classes[] = 'rion-wow fadeInUp';
}
?>
<?php
if ( have_posts() ) : ?>
	<?php do_action( 'rion_before_blog_content' ); ?>
    <div class="blog-standard content-post">
		<?php while ( have_posts() ) : the_post(); ?>
            <article <?php post_class( $classes ); ?>>
				<?php rion_post_format(); ?>
                <div class="post-content">
                    <div class="post-meta clearfix">
			            <?php
			            rion_post_category();
			            rion_post_date();
			            ?>
                    </div>
                    <div class="post-info">
			            <?php
			            rion_post_title();
			            rion_post_author();
			            ?>
			            <?php
			            $enable_except_post = rion_get_option( 'enable_except_post', '' );
			            if ( $enable_except_post == 1 ) {
				            rion_post_excerpt();
			            } else {
				            rion_post_full_content();
			            }
			            ?>
			            <?php
			            if ( $enable_except_post == 1 ) {
				            rion_post_readmore();
			            } else {
				            rion_post_tags();
			            }
			            ?>
                    </div>
                </div>
            </article>
		<?php endwhile;
		wp_reset_postdata(); ?>
    </div>
	<?php
	/**
	 * Functions hooked into rion_after_blog_content action
	 *
	 * @hooked rion_paging_nav               - 10
	 */
	do_action( 'rion_after_blog_content' ); ?>
<?php else :
	get_template_part( 'content', 'none' );
endif; ?>