<?php
/**
 * The template for displaying product content within loops.
 *
 * Override this template by copying it to yourtheme/woocommerce/content-product.php
 *
 * @author  WooThemes
 * @package WooCommerce/Templates
 * @version 3.6.0
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly
}

global $product;
// Ensure visibility
if ( empty( $product ) || ! $product->is_visible() ) {
	return;
}

$rion_woo_product_style = rion_get_option( 'rion_shop_product_style', 1 );
$enable_products_sizes    = rion_get_option( 'enable_products_sizes', false );
/*
 * 5 items: col-bg-15 col-lg-15 col-md-15 col-sm-3 col-xs-4 col-ts-6
 * 4 items: col-bg-3 col-lg-3 col-md-4 col-sm-4 col-xs-6 col-ts-12
 * 3 items: col-bg-4 col-lg-4 col-md-6 col-sm-6 col-xs-6 col-ts-12
 */
$rion_woo_bg_items = 3;     // 15
$rion_woo_lg_items = 3;     // 15
$rion_woo_md_items = 4;     // 15
$rion_woo_sm_items = 6;     // 3
$rion_woo_xs_items = 6;     // 4
$rion_woo_ts_items = 12;    // 6

$enable_single_product_mobile = rion_get_option( 'enable_single_product_mobile', true );
if ( $enable_single_product_mobile && rion_is_mobile() ) {
	$rion_woo_bg_items      = 15;     // 15
	$rion_woo_lg_items      = 15;     // 15
	$rion_woo_md_items      = 15;     // 15
	$rion_woo_sm_items      = 3;      // 3
	$rion_woo_xs_items      = 4;      // 4
	$rion_woo_ts_items      = 6;      // 6
	$rion_woo_product_style = 1;      // Always use product style 1 on real mobile
}

// Custom columns
if ( ! $enable_products_sizes ) {
	$rion_woo_bg_items = rion_get_option( 'rion_woo_bg_items', 3 );
	$rion_woo_lg_items = rion_get_option( 'rion_woo_lg_items', 3 );
	$rion_woo_md_items = rion_get_option( 'rion_woo_md_items', 4 );
	$rion_woo_sm_items = rion_get_option( 'rion_woo_sm_items', 4 );
	$rion_woo_xs_items = rion_get_option( 'rion_woo_xs_items', 6 );
	$rion_woo_ts_items = rion_get_option( 'rion_woo_ts_items', 6 );
}
$animate_class = 'famiau-wow-continuous auto-clear rion-wow fadeInUp';
$classes[]     = 'product-item';
$classes[] = 'rows-space-40';
$classes[] = 'col-bg-' . $rion_woo_bg_items;
$classes[] = 'col-lg-' . $rion_woo_lg_items;
$classes[] = 'col-md-' . $rion_woo_md_items;
$classes[] = 'col-sm-' . $rion_woo_sm_items;
$classes[] = 'col-xs-' . $rion_woo_xs_items;
$classes[] = 'col-ts-' . $rion_woo_ts_items;
$classes[] = $animate_class;

$template_style = 'style-' . $rion_woo_product_style;
$classes[]      = 'style-' . $rion_woo_product_style;
?>
<li <?php post_class( $classes ); ?>>
	<?php wc_get_template_part( 'product-styles/content-product', $template_style ); ?>
</li>
